import { useBracketPreview } from "../../bracket/queries";
import BracketView from "../../bracket/components/bracket-view";

interface BracketPreviewProps {
  n: number;
}

const BracketPreview: React.FC<BracketPreviewProps> = ({ n }) => {
  const { data: bracket } = useBracketPreview(n);

  return <BracketView bracket={bracket} />
};

export default BracketPreview;